# EPGP recruits ## `GET /api/epgp/recruits` **List EPGP recruits** Returns every recruiting candidate, newest first. **Response `200` — The recruiting candidates.** Model: {ref}`EpgpRecruitList ` | Field | Type | Required | Description | |---|---|---|---| | `recruits` | array of {ref}`EpgpRecruitRow ` | yes | | ## `PUT /api/epgp/recruits/{recruit_id}` **Update an EPGP recruit** Updates a recruit's status, note, or checklist. Only the fields present are changed. **Parameters** | Name | In | Type | Required | Description | |---|---|---|---|---| | `recruit_id` | path | string (uuid) | yes | The recruit's ID. | **Request body** Model: {ref}`EpgpRecruitUpdate ` | Field | Type | Required | Description | |---|---|---|---| | `status` | {ref}`RecruitStatus ` \| null | no | | | `note` | string \| null | no | | | `checklist` | {ref}`RecruitChecklist ` \| null | no | | **Response `200` — The recruit's updated record.** Model: {ref}`EpgpRecruitRow ` | Field | Type | Required | Description | |---|---|---|---| | `id` | string (uuid) | yes | | | `character` | string | yes | | | `class` | {ref}`WowClass ` \| null | no | | | `status` | {ref}`RecruitStatus ` | yes | | | `note` | string \| null | yes | | | `checklist` | {ref}`RecruitChecklist ` | yes | | | `votes` | array of {ref}`ExportRecruitVote ` | yes | | | `member_id` | integer \| null | yes | | | `at` | string (date-time) | yes | | ## `POST /api/epgp/recruits/{recruit_id}/votes` **Vote on an EPGP recruit** Adds or replaces the signed-in officer's vote on a recruit. **Parameters** | Name | In | Type | Required | Description | |---|---|---|---|---| | `recruit_id` | path | string (uuid) | yes | The recruit's ID. | **Request body** Model: {ref}`EpgpRecruitVoteCreate ` | Field | Type | Required | Description | |---|---|---|---| | `vote` | {ref}`RecruitVoteChoice ` | yes | | **Response `201` — The recruit's updated record.** Model: {ref}`EpgpRecruitRow ` | Field | Type | Required | Description | |---|---|---|---| | `id` | string (uuid) | yes | | | `character` | string | yes | | | `class` | {ref}`WowClass ` \| null | no | | | `status` | {ref}`RecruitStatus ` | yes | | | `note` | string \| null | yes | | | `checklist` | {ref}`RecruitChecklist ` | yes | | | `votes` | array of {ref}`ExportRecruitVote ` | yes | | | `member_id` | integer \| null | yes | | | `at` | string (date-time) | yes | |